function skill011()

p = flag.GetBattleValue(33032)

if p==2 then

	for pis=1,9,1 do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,13)==0 then  --是否有法障
          player.ChangeDP(0,pisd,4)
          player.CreateSE(pisd,3911)
	   end
    end
	end
end

player.AddStat(1,0,100,13,3)

----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,47)==1 then --有暴怒
	   	  player.RemoveStat(0,pisd,13)--清除状态 
	   end 
	end 
	
end 


	
end